-------------------------------------------------------------------------------
-- Title				:	2:1 Multiplexer
-- Project			:	Sample code
-- File				:	mux2_1.vhd
-------------------------------------------------------------------------------
-- Organization	:	ni logic PVt. Ltd., Pune, India
-------------------------------------------------------------------------------
-- Description		:	2:1 Multiplexer
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity mux2_1 is
     
	 Port 	( 	a 	: 	in std_logic;
           		b 	: 	in std_logic;
           		sel : 	in std_logic;
           		q 	: 	out std_logic
				
			);
end mux2_1;

architecture Behavioral of mux2_1 is

begin

q	<=	a when sel='0' else
		b;

end Behavioral;
							  				