--------------------------------------------------------------------------------
-- Title				:	Positive Edge trig. Dff with Asynchronous Reset
-- Project			:	Sample code
-- File				:	dff_asyn.vhd
-------------------------------------------------------------------------------
-- Organization	:	ni logic PVt. Ltd., Pune, India
-------------------------------------------------------------------------------
-- Description		:  DFF with Asynchronous reset	
--						USDP has Active 'LOW' Reset
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity dff_asyn is
Port ( 
		clk : in std_logic;
      rst : in std_logic;
      din : in std_logic;
      q 	 : out std_logic
	    );

   end dff_asyn;

architecture Behavioral of dff_asyn is

begin

process(clk,rst)
begin
if rst= '0' then
	q <= '0';
elsif(clk'event and clk='1')then
	q	<=	din;
end if;
end process;



end Behavioral;